/*
 *  Kylin security execute control
 *
 *  This file contains attributes manage apis for Kylin security exectl
 *
 *  Authors:  songchuanfei <songchuanfei@kylinos.cn>
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  mengyuan <mengyuan@kylinos.cn>
 *
 *  Copyright (C) 2017,Tianjin KYLIN Information Technology Co., Ltd.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the
 *  Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 */
#ifndef LIBRARY_KYSECURITY_DBUS_H
#define LIBRARY_KYSECURITY_DBUS_H

#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <attr/xattr.h>
#include <string.h>
#include <errno.h>
#include <fts.h>

#include <kysec/kysecurity.h>
#include <kysec/status.h>
#include <kysec/libkysec.h>


#ifdef __cplusplus
extern "C" {
#endif
int kysec_label_set(char *path, char *label);

int kysec_protect_set(char *path, char *protect);
int kysec_identify_set(char *path, char *identify);
int kysec_exectl_set(char *path, char *exectl);

int kysec_check_user_valid(const char *uname, const char *pwd);

char *get_dbus_err_msg();

#ifdef __cplusplus
}
#endif

#endif
